summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authortc@google.com <tc@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-04-27 21:01:13 +0000
committertc@google.com <tc@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-04-27 21:01:13 +0000
commita79d5123fa0241e823cd7ad8a774e46a78143c14 (patch)
tree82942fff956c49d1997a639346b20eba5d460540 /build
parentaef15bdabed270718140d5ec2eee49878bd91384 (diff)
downloadchromium_src-a79d5123fa0241e823cd7ad8a774e46a78143c14.zip
chromium_src-a79d5123fa0241e823cd7ad8a774e46a78143c14.tar.gz
chromium_src-a79d5123fa0241e823cd7ad8a774e46a78143c14.tar.bz2
Update the build installation script to make it work on ubuntu 9.04
I had to include the libcairo2-dev package and change the /etc/issue BUG=None TEST=Build chromium in Ubuntu successfully (fresh install) Original patch by Mohamed Mansour and reviewed by Markus: http://codereview.chromium.org/92155 Review URL: http://codereview.chromium.org/99076 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@14653 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rwxr-xr-xbuild/install-build-deps.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/build/install-build-deps.sh b/build/install-build-deps.sh
index 06aeaec..6a04d0de 100755
--- a/build/install-build-deps.sh
+++ b/build/install-build-deps.sh
@@ -4,8 +4,8 @@
# See http://code.google.com/p/chromium/wiki/LinuxBuildInstructions
# and http://code.google.com/p/chromium/wiki/LinuxBuild64Bit
-if ! egrep -q "Ubuntu 8.04|Ubuntu 8.10" /etc/issue; then
- echo "Only Ubuntu 8.04 and 8.10 are currently supported" >&2
+if ! egrep -q "Ubuntu 8.04|Ubuntu 8.10|Ubuntu 9.04" /etc/issue; then
+ echo "Only Ubuntu 8.04, 8.10, and 9.04 are currently supported" >&2
exit 1
fi
@@ -21,7 +21,7 @@ if [ "x$(id -u)" != x0 ]; then
fi
# Packages need for development
-dev_list="bison fakeroot flex g++ g++-multilib gperf libgconf2-dev
+dev_list="bison fakeroot flex g++ g++-multilib gperf libcairo2-dev libgconf2-dev
libglib2.0-dev libgtk2.0-dev libnspr4-dev libnss3-dev
libsqlite3-dev lighttpd msttcorefonts perl php5-cgi
pkg-config python subversion sun-java6-fonts wdiff"